import * as react_jsx_runtime from 'react/jsx-runtime';
import { SvgIconTypes } from '@versini/ui-types';

type IconsProps = {
	/**
	 * Whether or not to render the icon in a single color
	 * @default false
	 */
	monotone?: boolean;
	/**
	 * The title to use for the icon. Each icon has a default title,
	 * but it can be overridden with this prop.
	 */
	title?: string;
} & Pick<SvgIconTypes.Props, "semantic" | "size" | "className" | "viewBox"> &
	React.SVGAttributes<SVGElement>;

declare const IconAdd: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconAddLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconAnthropic: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBack: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBackLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBookSparkles: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBookSparklesLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBookmark: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBookmarkLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBrightness: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconBrightnessLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconChart: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconChartLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconClose: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconCloseLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconCopied: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconCopiedLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconCopy: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconCopyLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDelete: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDeleteLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDog: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDown: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconDownLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconEdit: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconEditLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconGitHub: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconHide: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconHideLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconHistory: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconHistoryLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconInfo: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconInfoLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconKey: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconKeyLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconList: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconListLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconLocked: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconLockedLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconMessages: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconMessagesLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconNext: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconNextLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconOpenAI: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPasskey: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPenField: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPenFieldLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPencilMechanical: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPencilMechanicalLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPrevious: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconPreviousLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconProfile: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconProfileLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconProofread: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconProofreadLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRefresh: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRefreshLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRestore: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRestoreLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRewrite: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconRewriteLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSearch: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSearchLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSend: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSendLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSettings: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSettingsLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconShow: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconShowLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSliders: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSlidersLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSort: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSortDown: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSortDownLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSortLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSortUp: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconSortUpLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconStarInCircle: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconStarInCircleLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconUp: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconUpLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconUser: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

declare const IconUserLight: ({ className, viewBox, title, monotone, ...rest }: IconsProps) => react_jsx_runtime.JSX.Element;

export { IconAdd, IconAddLight, IconAnthropic, IconBack, IconBackLight, IconBookSparkles, IconBookSparklesLight, IconBookmark, IconBookmarkLight, IconBrightness, IconBrightnessLight, IconChart, IconChartLight, IconClose, IconCloseLight, IconCopied, IconCopiedLight, IconCopy, IconCopyLight, IconDelete, IconDeleteLight, IconDog, IconDown, IconDownLight, IconEdit, IconEditLight, IconGitHub, IconHide, IconHideLight, IconHistory, IconHistoryLight, IconInfo, IconInfoLight, IconKey, IconKeyLight, IconList, IconListLight, IconLocked, IconLockedLight, IconMessages, IconMessagesLight, IconNext, IconNextLight, IconOpenAI, IconPasskey, IconPenField, IconPenFieldLight, IconPencilMechanical, IconPencilMechanicalLight, IconPrevious, IconPreviousLight, IconProfile, IconProfileLight, IconProofread, IconProofreadLight, IconRefresh, IconRefreshLight, IconRestore, IconRestoreLight, IconRewrite, IconRewriteLight, IconSearch, IconSearchLight, IconSend, IconSendLight, IconSettings, IconSettingsLight, IconShow, IconShowLight, IconSliders, IconSlidersLight, IconSort, IconSortDown, IconSortDownLight, IconSortLight, IconSortUp, IconSortUpLight, IconStarInCircle, IconStarInCircleLight, IconUp, IconUpLight, IconUser, IconUserLight };
